Permalink
Commits on Nov 28, 2012
  1. Revert "Set CPK version as needed."

    This reverts commit 609322e.
    
    The rubygems.org data problem has been resolved.
    rsutphin committed Nov 28, 2012
Commits on Nov 23, 2012
  1. Set CPK version as needed.

    The rubygems.org dependency API metadata is incorrect for CPK 5.0.10, resulting in bundler matching it for any AR version. See
    bundler/bundler-api#17 for details.
    rsutphin committed Nov 23, 2012
  2. Update to newest bundler.

    For some reason, bundler 1.1 and 1.0 consider CPK 5.0.10 to be
    compatible with AR 3.1 and lower, even though CPK's gemspec indicates
    it only works with AR => 3.2.9. These bundler versions did not have a
    similar problem with CPK 5.0.9 which had a similar gemspec (though
    for 3.2.8). Locally, bundler 1.2.2 does not have this problem.
    rsutphin committed Nov 23, 2012
Commits on Oct 12, 2012
  1. Update for ongoing development.

    rsutphin committed Oct 12, 2012
  2. Version 1.1.1.

    rsutphin committed Oct 12, 2012
  3. Log change for #8, #9.

    rsutphin committed Oct 12, 2012
  4. Whitespace & minor rewording.

    rsutphin committed Oct 12, 2012
  5. Merge pull request #9 from aake/t8_dupe_schema_names

    Prepend schema name only once
    aake committed Oct 12, 2012
  6. Updated README for Rails 3.2. #8.

    aake committed Oct 12, 2012
Commits on Oct 8, 2012
  1. Prep for ongoing development.

    rsutphin committed Oct 8, 2012
  2. Version 1.1.0.

    rsutphin committed Oct 8, 2012
  3. Log change for #7 / #3.

    rsutphin committed Oct 8, 2012
  4. Merge pull request #7 from aake/issue_3_support_ar_3_2_pr2

    Support AR 3.2 without deprecation warnings. Closes #3.
    rsutphin committed Oct 8, 2012
  5. Switch for AR 3.2+ and AR < 3.2

    aake committed Oct 8, 2012
Commits on Oct 5, 2012
  1. Merge pull request #5 from aake/issue_4_ar_3_2_cpk_5

    Specs testing no db connection rewritten due to changes in rails 3.2 and CPK 5.
    
    Closes #4.
    
    The previous mocking solution did not hit the correct points with ActiveRecord
    3.2 and CPK 5. This solution actually removes the connection, so it better tests
    the expected behavior and works across all AR versions.
    rsutphin committed Oct 5, 2012
Commits on Oct 3, 2012
Commits on Jul 9, 2012
  1. RSpec 2.11 breaks on ar_2.3-old.

    Probably we don't need to support 2.3-old any more, but for now keeping to
    RSpec 2.10 is fine.
    rsutphin committed Jul 9, 2012
Commits on Jan 21, 2012
  1. Add support for AR 3.2 in CI. #3.

    All tests currently pass, but there are many deprecation warnings.
    rsutphin committed Jan 21, 2012
  2. Stop using rcov.

    It isn't particularly useful in a library developed with pure TDD and it makes
    multiplatform CI much more complicated.
    rsutphin committed Jan 21, 2012
Commits on Nov 22, 2011
Commits on Sep 1, 2011
  1. Prep for next version.

    rsutphin committed Sep 1, 2011
  2. Version 1.0.1.

    rsutphin committed Sep 1, 2011
  3. Too hasty. #1.

    rsutphin committed Sep 1, 2011
  4. Skip oracle in CI. #1.

    The CI server doesn't have an Oracle C client installed, so there's no way
    to install ruby-oci8. I'm not running the tests against Oracle in CI right now,
    anyway.
    rsutphin committed Sep 1, 2011
  5. Provide compatibility with ActiveRecord 3.1. Closes #1.

    The actual problem was in ActiveSupport. AS 3.1 dropped
    Class#class_inheritable_accessor without any deprecation warnings.
    The alternative (Class#class_attribute) has been present since AS 2.3.9 only,
    so to preserve compatibility back to 2.3.0, SQT tries both.
    rsutphin committed Sep 1, 2011
  6. Test against an actual database instead of attempting to mock out AR …

    …internals. #1.
    
    The mocked internals were stable between AR 2.3 and AR 3.0, but changed in AR 3.1.
    It's better to test for effects, anyway. One downside: you have to run against
    multiple databases to test all behaviors.
    rsutphin committed Sep 1, 2011